# vkQueueEndDebugUtilsLabelEXT(3) Manual Page

## Name

vkQueueEndDebugUtilsLabelEXT - Close a queue debug label region

## C Specification

A queue debug label region is closed by calling:

    void vkQueueEndDebugUtilsLabelEXT(
        VkQueue                                     queue);

## Parameters

- `queue` is the queue in which a debug label region should be closed.

## Description

The calls to vkQueueBeginDebugUtilsLabelEXT and vkQueueEndDebugUtilsLabelEXT must be matched and balanced.

Valid Usage

- There must be an outstanding `vkQueueBeginDebugUtilsLabelEXT` command prior to the `vkQueueEndDebugUtilsLabelEXT` on the queue

Valid Usage (Implicit)

- `queue` must be a valid VkQueue handle

Command Properties

Command Buffer Levels | Render Pass Scope | Supported Queue Types | Pipeline Type
--- | --- | --- | ---
- | - | Any | -

## See Also

VkQueue

## Document Notes

For more information, see the Vulkan Specification

This page is extracted from the Vulkan Specification. Fixes and changes should be made to the Specification, not directly.

## Copyright

Copyright (c) 2014-2020 Khronos Group. This work is licensed under a Creative Commons Attribution 4.0 International License.